## libxfce4util 4.6.2

=== debian/changelog ===
libxfce4util (4.6.2-1~bpo50+1) lenny-backports; urgency=low

  * Rebuild for lenny-backports.

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 15 Aug 2010 16:21:54 +0200

libxfce4util (4.6.2-1) unstable; urgency=low

  [Yves-Alexis Perez]
  * New upstream release.
  * debian/control:
    - bump standards version to 3.8.4.
    - add build-dep on intltool. 
    - drop quilt and chrpath build-deps.
    - bump debhelper build-deps for overrides.
  * debian/rules:
    - switch to debhelper 7.
  * switch to 3.0 (quilt) source format.

  [Stefan Ott]
  * debian/watch edited to track Xfce archive reorganisation.

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 23 May 2010 12:51:37 +0200

libxfce4util (4.6.1-2) unstable; urgency=low

  * debian/control:
    - update standards version to 3.8.3.
    - add depends on ${misc:Depends}.
    - add two binary packages (-bin and -common) to ease
      multiple-versions installations.
  * debian/xfce4-kiosk-query.8: fix typo.
  * debian/rules:
    - stop installing debian/xfce4-kiosk-query.8, it'll be done automagically.
    - stop doing shlibs, it'll done automagically.
  * debian/libxfce4util-bin.manpages: add xfce4-kiosk-query.8 to installed
    manpages.
  * debian/libxfce4util4.shlibs: give shlibs informations.

 -- Yves-Alexis Perez <corsac@debian.org>  Wed, 30 Dec 2009 14:29:07 +0100

libxfce4util (4.6.1-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - move lib to libs section, -dbg to debug one.

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 19 Apr 2009 13:32:29 +0200

libxfce4util (4.6.0-2) unstable; urgency=low

  * Upload to unstable.
  * debian/compat: bump to 7.
  * debian/control:
    - update build-dep on dh to 7 accordingly.
    - update standards version to 3.8.1.
    - move to section xfce.
    - drop now useless conflicts/replaces.
  * debian/rules:
    - add -Wl,-z,defs -Wl,--as-needed to LDFLAGS.
    - replace dh_clean -k by dh_prep. 

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 04 Apr 2009 00:46:41 +0200

libxfce4util (4.6.0-1) experimental; urgency=low

  [ Xfce 4.6 Alpha “Pinkie”]
  * debian/rules:
    - update shlibs.
    - fail if dh_install misses files.

  [ Xfce 4.6 Beta 1 “Fuzzy”]
  * new upstream beta release.
  * debian/control:
    - no need to depends on gtk, libxfce4util is glib-only.
  * debian/rules:
    - bump shlibs for Fuzzy.

  [ Xfce 4.6 Beta 2 “Hopper”]
  * new upstream beta release.
  * debian/rules:
    - bump shlibs for 4.5.92.

  [ Xfce 4.6 Beta 3 “Tuco-tuco”]
  * new upstream beta release.
  * debian/rules:
    - bump shlibs for 4.5.93.

  [ Xfce 4.6 RC1 “Capybara” ]
  * new upstream release candidate.
  * debian/rules:
    - bump shlibs for 4.5.99.1.

  [ Xfce 4.6.0 ]
  * new upstream release.
  * debian/rules:
    - bump shlibs for 4.6.0.

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 28 Feb 2009 12:00:49 +0100

libxfce4util (4.4.2-3) unstable; urgency=low

  * debian/control:
    - fixed typo in short description.                          closes: #489493
    - removed Martin Loschwitz from Uploaders.
    - updated standards version to 3.8.0.

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 06 Jul 2008 10:58:49 +0200

libxfce4util (4.4.2-2) unstable; urgency=low

  * debian/control: 
    - add a -dbg package
    - update standards version to 3.7.3.
    - update my email address.
  * debian/rules: put debug infos in -dbg package.
  * debian/compat: updated to 5 so dh_strip behaves nicely.
  * debian/libxfce4util-dev.install: remove /usr/share/xfce4/m4, not present.
  * debian/copyright: use © sign.

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 01 Mar 2008 23:46:50 +0100

libxfce4util (4.4.2-1) unstable; urgency=low

  [ Simon Huggins ]
  * Use ${binary:Version} so we are binNMU safe.
  * debian/control: Move fake Homepage field to a real one now dpkg
    supports it.

  [ Yves-Alexis Perez ]
  * New upstream release.
  * debian/rules: don't ignore all make errors at clean stage.

  [ Simon Huggins ]
  * Add Vcs-* headers to debian/control

 -- Simon Huggins <huggie@earth.li>  Tue, 27 Nov 2007 16:39:16 +0000

libxfce4util (4.4.1-1) unstable; urgency=low

  * New upstream release. 
  * debian/copyright: updated copyright holders.

 -- Yves-Alexis Perez <corsac@corsac.net>  Sun, 15 Apr 2007 15:28:17 +0100

libxfce4util (4.4.0-2) experimental; urgency=low

  * debian/rules: remove /usr/lib/libxfce4util.la from package.
  * debian/libxfce4util4.install: ship locales.

 -- Yves-Alexis Perez <corsac@corsac.net>  Thu, 25 Jan 2007 01:08:59 +0100

libxfce4util (4.4.0-1) experimental; urgency=low

  * (Yves-Alexis Perez) 
    - New upstream release. 
  * (Emanuele Rocca)
    - debian/control: Added a note about the manual and suggest devhelp.

 -- Yves-Alexis Perez <corsac@corsac.net>  Wed, 24 Jan 2007 22:32:30 +0100

libxfce4util (4.3.99.2-1) unstable; urgency=low

  * New upstream release.
  * 01_add-desktop-base-in-config-dirs: enable use of config files provided
    by desktop-base package. Quick & dirty patch for Etch.

 -- Yves-Alexis Perez <corsac@corsac.net>  Mon, 20 Nov 2006 12:54:53 +0100

libxfce4util (4.3.99.1-1) unstable; urgency=low

  * New upstream release 

 -- Yves-Alexis Perez <corsac@corsac.net>  Sat, 23 Sep 2006 13:46:27 +0100

libxfce4util (4.3.90.2-2) unstable; urgency=low

  * rpath fixes: call chrpath in debian/rules and add it to the build 
    dependencies.
  * Move the dh_makeshlibs call to the right place so we run ldconfig in
    postinst.

 -- Simon Huggins <huggie@earth.li>  Thu, 20 Jul 2006 17:54:53 +0100

libxfce4util (4.3.90.2-1) experimental; urgency=low

  (Yves-Alexis Perez)
  * New upstream release.
  * debian/control: updated standards version to 3.7.2.
  * Bumped soname version to 4 and renamed binary package accordingly.
  (Simon Huggins)
  * Upload to experimental so we can clear NEW without issues.

 -- Yves-Alexis Perez <corsac@corsac.net>  Wed, 12 Jul 2006 17:48:20 +0100

libxfce4util (4.3.90.1-1) unstable; urgency=low



=== debian/rules ===
#!/usr/bin/make -f

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
LDFLAGS+=-Wl,-z,defs -Wl,--as-needed

override_dh_strip:
	dh_strip --dbg-package=libxfce4util4-dbg

%:
	dh $@

## libxfce4util 4.20.1

=== meson_options.txt ===
option(
  'gtk-doc',
  type: 'boolean',
  value: false,
  description: 'Build gtk-doc HTML',
)

option(
  'introspection',
  type: 'boolean',
  value: true,
  description: 'Build gobject-introspection files',
)

option(
  'vala',
  type: 'feature',
  value: 'auto',
  description: 'Build Vala language bindings',
)

option(
  'visibility',
  type: 'boolean',
  value: true,
  description: 'Build with GNU symbol visibility',
)

## libxfce4util 4.8.1

=== debian/changelog ===
libxfce4util (4.8.1-1ubuntu1) natty; urgency=low

  * Merge from Debian experimental, remaining Ubuntu changes:
    - debian/patches:
      + xubuntu_desktop-x-ubuntu-gettext.patch: display translations for
        "X-Ubuntu-Gettext-Domain" desktop files
      + series:
        . drop 01_add-desktop-base-in-config-dirs.patch
        . add xubuntu_desktop-x-ubuntu-gettext.patch.

 -- Lionel Le Folgoc <mrpouit@ubuntu.com>  Tue, 08 Feb 2011 20:08:56 +0100

libxfce4util (4.8.1-1) experimental; urgency=low

  [ Yves-Alexis Perez ]
  * New upstream development release.
  * debian/libxfce4util.shlibs: bump package version to 4.7.0.
  * debian/rules:
    - add hardening flags to {C,LD}FLAGS
  * debian/control:
    - add build-dep on hardening-includes

  [ Lionel Le Folgoc ]
  * debian/libxfce4util4.symbols: added.
  * debian/libxfce4util4.shlibs: dropped, not needed.
  * debian/rules:
    - call dpkg-buildflags instead of doing manual tests
    - invoke dh_install with --fail-missing.
  * debian/control:
    - bump Standards-Version to 3.9.1, no change required
    - drop some trailing spaces
    - add myself to Uploaders.
  * debian/copyright: refreshed.
  * debian/README.source: dropped.

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 06 Feb 2011 16:34:51 +0100

libxfce4util (4.8.1-0ubuntu1) natty; urgency=low

  * New upstream release.

 -- Lionel Le Folgoc <mrpouit@ubuntu.com>  Sat, 22 Jan 2011 01:05:18 +0100

libxfce4util (4.7.5-0ubuntu1) natty; urgency=low

  * New upstream development release.
  * debian/patches/abicheck.diff: dropped, included upstream.
  * Resync a few packaging changes from pkg-xfce svn.

 -- Lionel Le Folgoc <mrpouit@ubuntu.com>  Sun, 02 Jan 2011 22:26:10 +0100

libxfce4util (4.7.4-0ubuntu3) natty; urgency=low

  * Make abicheck.sh more robust.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 16 Dec 2010 17:47:56 +0100

libxfce4util (4.7.4-0ubuntu2) natty; urgency=low

  * Look up symbols in initialized data section for small objects too,
    fixing build failure on powerpc.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 16 Dec 2010 16:48:45 +0100

libxfce4util (4.7.4-0ubuntu1) natty; urgency=low

  * New upstream development release.
  * Import hardening changes from pkg-xfce svn.

 -- Lionel Le Folgoc <mrpouit@ubuntu.com>  Sat, 04 Dec 2010 12:59:00 +0100

libxfce4util (4.7.3-0ubuntu1) natty; urgency=low

  * New upstream development release.

 -- Lionel Le Folgoc <mrpouit@ubuntu.com>  Wed, 03 Nov 2010 22:15:16 +0100

libxfce4util (4.7.2-0ubuntu1) natty; urgency=low

  * Merge from pkg-xfce's svn (r4197), remaining Ubuntu changes:
    - debian/control: use our Vcs-* fields.
    - debian/patches:
      + xubuntu_desktop-x-ubuntu-gettext.patch: display translations for
        "X-Ubuntu-Gettext-Domain" desktop files
      + series:
        . don't apply 01_add-desktop-base-in-config-dirs.patch
        . refreshed.

 -- Lionel Le Folgoc <mrpouit@ubuntu.com>  Sat, 30 Oct 2010 20:57:33 +0200

libxfce4util (4.7.2-1) UNRELEASED; urgency=low

  [ Yves-Alexis Perez ]
  * New upstream development release.
  * debian/libxfce4util.shlibs: bump package version to 4.7.0.

  [ Lionel Le Folgoc ]
  * debian/libxfce4util4.symbols: added.
  * debian/libxfce4util4.shlibs: dropped, not needed.
  * debian/rules:
    - call dpkg-buildflags instead of doing manual tests
    - invoke dh_install with --fail-missing.
  * debian/control:
    - bump Standards-Version to 3.9.1, no change required
    - drop some trailing spaces
    - add myself to Uploaders.
  * debian/copyright: refreshed.
  * debian/README.source: dropped.

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 09 Jan 2010 20:19:25 +0100

libxfce4util (4.6.2-1ubuntu1) maverick; urgency=low

  * Merge from debian testing, remaining Ubuntu changes:
    - debian/control: use our Vcs-* fields.
    - debian/patches:
      + xubuntu_desktop-x-ubuntu-gettext.patch: display translations for
        "X-Ubuntu-Gettext-Domain" desktop files
      + series:
        . don't apply 01_add-desktop-base-in-config-dirs.patch
        . refreshed.

 -- Lionel Le Folgoc <mrpouit@ubuntu.com>  Sun, 23 May 2010 20:25:26 +0200

libxfce4util (4.6.1-2ubuntu2) lucid; urgency=low

  * debian/patches/01_add-xubuntu-in-config-dirs.patch,
    debian/patches/02_add-mythbuntu-in-config-dirs.patch: dropped, workaround
    not needed anymore. lp: #327926
  * debian/patches/series: disable them.

 -- Lionel Le Folgoc <mrpouit@ubuntu.com>  Thu, 28 Jan 2010 22:24:39 +0100

libxfce4util (4.6.1-2ubuntu1) lucid; urgency=low

  * Merge from debian testing, remaining Ubuntu changes:
    - debian/control: use our Vcs-* fields.
    - debian/patches:
      + 01_add-xubuntu-in-config-dirs.patch: append "/etc/xdg/xubuntu" to the
        list of config directories
      + 02_add-mythbuntu-in-config-dirs.patch: append "/etc/xdg/mythbuntu" to
        the list of config directories
      + debian/patches/03_desktop-x-ubuntu-gettext.patch: display translations for
        "X-Ubuntu-Gettext-Domain" desktop files
      + series:
        . don't apply 01_add-desktop-base-in-config-dirs.patch
        . refreshed.

 -- Lionel Le Folgoc <mrpouit@ubuntu.com>  Fri, 15 Jan 2010 22:24:23 +0100

libxfce4util (4.6.1-1ubuntu1) karmic; urgency=low

  * Merge from debian unstable, remaining changes:
    - debian/control: added gtk-doc-tools to build-deps
    - debian/rules: pass --enable-gtk-doc to ./configure
    - debian/patches:
      + 01_add-xubuntu-in-config-dirs.patch: append "/etc/xdg/xubuntu" to the
        list of config directories
      + 02_add-mythbuntu-in-config-dirs.patch: append "/etc/xdg/mythbuntu" to
        the list of config directories
      + debian/patches/03_desktop-x-ubuntu-gettext.patch: display translations for
        "X-Ubuntu-Gettext-Domain" desktop files
      + series:
        . don't apply 01_add-desktop-base-in-config-dirs.patch
        . refreshed.

 -- Michael Casadevall <mcasadevall@ubuntu.com>  Tue, 05 May 2009 04:36:10 -0400



=== debian/control ===
Source: libxfce4util
Priority: optional
Section: xfce
Maintainer: Xubuntu Developers <xubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>
Uploaders: Emanuele Rocca <ema@debian.org>, Simon Huggins <huggie@earth.li>,
 Yves-Alexis Perez <corsac@debian.org>, Lionel Le Folgoc <mrpouit@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), libglib2.0-dev, intltool, 
 hardening-includes
Standards-Version: 3.9.1
Homepage: http://www.xfce.org/
Vcs-Svn: svn://svn.debian.org/pkg-xfce/desktop/trunk/libxfce4util/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-xfce/desktop/trunk/libxfce4util/

Package: libxfce4util-dev
Section: libdevel
Architecture: any
Depends: libxfce4util4 (= ${binary:Version}), ${misc:Depends}, libglib2.0-dev
Suggests: devhelp
Description: Development files for libxfce4util4
 This package contains the headers and the static library
 for libxfce4util4. If you intend to code applications
 for the Xfce4 desktop environment, you need to install
 this package.
 .
 The libxfce4util4 Reference Manual is also included and
 it can be consulted using Devhelp or a web browser.

Package: libxfce4util4
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libxfce4util-common
Recommends: libxfce4util-bin
Description: Utility functions library for Xfce4
 This package contains libxfce4util4, the basic utility
 function library for Xfce4. If you intend to run Xfce4,
 you need this library.

Package: libxfce4util4-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${shlibs:Depends}, ${misc:Depends}, libxfce4util4 (= ${binary:Version})
Description: debugging informations for libxfce4util4
 This package contains debugging symbols for libxfce4util4, the basic
 utility function library for Xfce4.

Package: libxfce4util-bin
Section: xfce
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libxfce4util4 (<< 4.6.1-2)
Replaces: libxfce4util4 (<< 4.6.1-2)
Description: tools for libxfce4util
 This package contains binaries used by Xfce basic utility library.
 At the moment, the following programs are included:
  - xfce4-kiosk-query: query Xfce kiosk capabilities.

Package: libxfce4util-common
Section: xfce
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libxfce4util4 (<< 4.6.1-2)
Replaces: libxfce4util4 (<< 4.6.1-2)
Description: common files for libxfce4util
 This package contains various infrastructure-independant common files for
 libxfce4util, the Xfce utility library.

## libxfce4util 4.8.2

=== debian/changelog ===
libxfce4util (4.8.2-1) unstable; urgency=low

  * New upstream release.
  * debian/patches:
    - 01_add-desktop-base-in-config-dirs refreshed

 -- Yves-Alexis Perez <corsac@debian.org>  Mon, 12 Sep 2011 22:44:20 +0200

libxfce4util (4.8.1-3) unstable; urgency=low

  * debian/patches:
    - xubuntu_desktop-x-ubuntu-gettext.patch: added from ubuntu.
    - ubuntu.series: list this patch only.

 -- Lionel Le Folgoc <mrpouit@gmail.com>  Mon, 20 Jun 2011 22:59:51 +0200

libxfce4util (4.8.1-2) unstable; urgency=low

  * Upload to unstable.
  * debian/control:
    - update section to xfce.
    - remove Emanuele and Simon from uploaders, thanks to them. 
    - update standards version to 3.9.2. 

 -- Yves-Alexis Perez <corsac@debian.org>  Tue, 19 Apr 2011 15:47:57 +0200

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,19 @@
 Source: libxfce4util
 Priority: optional
 Section: xfce
-Maintainer: Xubuntu Developers <xubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>
-Uploaders: Emanuele Rocca <ema@debian.org>, Simon Huggins <huggie@earth.li>,
- Yves-Alexis Perez <corsac@debian.org>, Lionel Le Folgoc <mrpouit@gmail.com>
+Maintainer: Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>
+Uploaders: Yves-Alexis Perez <corsac@debian.org>, 
+ Lionel Le Folgoc <mrpouit@gmail.com>
 Build-Depends: debhelper (>= 7.0.50~), libglib2.0-dev, intltool, 
  hardening-includes
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://www.xfce.org/
 Vcs-Svn: svn://svn.debian.org/pkg-xfce/desktop/trunk/libxfce4util/
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-xfce/desktop/trunk/libxfce4util/
 
 Package: libxfce4util-dev
+Architecture: any
 Section: libdevel
-Architecture: any
 Depends: libxfce4util4 (= ${binary:Version}), ${misc:Depends}, libglib2.0-dev
 Suggests: devhelp
 Description: Development files for libxfce4util4
@@ -27,7 +26,6 @@
  it can be consulted using Devhelp or a web browser.
 
 Package: libxfce4util4
-Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, libxfce4util-common
 Recommends: libxfce4util-bin
@@ -46,7 +44,6 @@
  utility function library for Xfce4.
 
 Package: libxfce4util-bin
-Section: xfce
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: libxfce4util4 (<< 4.6.1-2)
@@ -57,7 +54,6 @@
   - xfce4-kiosk-query: query Xfce kiosk capabilities.
 
 Package: libxfce4util-common
-Section: xfce
 Architecture: all
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: libxfce4util4 (<< 4.6.1-2)

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/hardening-includes/hardening.make

CFLAGS=$(shell dpkg-buildflags --get CFLAGS)
LDFLAGS=$(shell dpkg-buildflags --get LDFLAGS)
LDFLAGS+=$(HARDENING_LDFLAGS) -Wl,-z,defs -Wl,--as-needed -Wl,-O1
CFLAGS+=$(HARDENING_CFLAGS)

export CFLAGS LDFLAGS

override_dh_install:
	rm -f $(CURDIR)/debian/tmp/usr/lib/libxfce4util.la
	dh_install --fail-missing

override_dh_strip:
	dh_strip --dbg-package=libxfce4util4-dbg

%:
	dh $@

## libxfce4util 4.10.0

=== debian/changelog ===
libxfce4util (4.10.0-1) experimental; urgency=low

  * New upstream stable release.
  * Revert to unversioned -dev package name, we don't intend to keep the old
    one around.

 -- Lionel Le Folgoc <mrpouit@gmail.com>  Fri, 04 May 2012 07:59:19 +0200

libxfce4util (4.9.1-1) experimental; urgency=low

  [ Lionel Le Folgoc ]
  * New upstream development release.

  [ Yves-Alexis Perez ]
  * debian/rules:
    - build with --parallel.

 -- Lionel Le Folgoc <mrpouit@gmail.com>  Sun, 15 Apr 2012 14:46:01 +0200

libxfce4util (4.9.0-1) experimental; urgency=low

  [ Lionel Le Folgoc ]
  * debian/patches: add missing DEP3 headers.
  * debian/control: use Breaks instead of Conflicts when possible.

  [ Yves-Alexis Perez ]
  * New upstream development release.
    - update symbols file.
    - rename library package to follow soname change.
    - rename -dev package to follow API change.
  * debian/control:
    - update standards version to 3.9.3.
    - update debhelper build dep to 9.
    - add build-dep on dpkg-dev 1.16.1.
    - drop hardening-includes build-dep.
    - add Pre-Depends on ${misc:Pre-Depends} for multi-arch.
    - replace Conflicts by Breaks
    - make libxfce4util6-dev Breaks/Replaces libxfce4util-dev
  * debian/compat bumped to 8
  * debian/libxfce4util6-dev.install:
    - stop shipping static file, it's not built by default anymore anyway.
    - update paths for multi-arch.
  * debian/libxfce4util6.install:
    - update paths for multi-arch.
  * debian/rules:
    - use hardening support of debhelper 9 and dpkg-dev 1.16.1.
  * debian/copyright updated.

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 07 Apr 2012 13:30:31 +0200

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed -Wl,-O1 -Wl,-z,defs
export DEB_BUILD_MAINT_OPTIONS=hardening=+pie,+bindnow

override_dh_install:
	dh_install --fail-missing -X .la

override_dh_strip:
	dh_strip --dbg-package=libxfce4util6-dbg

%:
	dh $@ --parallel

## libxfce4util 4.10.1

=== debian/changelog ===
libxfce4util (4.10.1-2) unstable; urgency=low

  [ Evgeni Golov ]
  * Correct Vcs-* URLs to point to anonscm.debian.org

  [ Jackson Doak ]
  * Bump standards version to 3.9.5
  * debian/rules: Add disable-silent-rules
  * debian/copyright: Don't use symlink licenses

  [ Yves-Alexis Perez ]
  * debian/control:
    - add build-dep on dh-autoreconf, gtk-doc-tools and xfce4-dev-tools
    - fix spelling error in libxfce4util6-dbg synopsys
  * debian/rules:
    - use dh-autoreconf addon to update aclocal.m4 and support ppc64el.
                                                                closes: #752769

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 30 Aug 2014 10:19:39 +0200

libxfce4util (4.10.1-1) unstable; urgency=low

  * New upstream release.
  * Upload to unstable.
  * debian/rules:
    - enable all hardening flags.

 -- Yves-Alexis Perez <corsac@debian.org>  Tue, 21 May 2013 20:50:00 +0200

libxfce4util (4.10.0-2) experimental; urgency=low

  * debian/patches:
    - 02_fix-abicheck.sh added, fix FTBFS on ppc64.             closes: #682414

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 22 Jul 2012 20:51:51 +0200

=== debian/control ===
Source: libxfce4util
Priority: optional
Section: xfce
Maintainer: Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>
Uploaders: Yves-Alexis Perez <corsac@debian.org>, 
 Lionel Le Folgoc <mrpouit@gmail.com>
Build-Depends: debhelper (>= 9), libglib2.0-dev, intltool, 
 dpkg-dev (>= 1.16.1), dh-autoreconf, gtk-doc-tools, xfce4-dev-tools
Standards-Version: 3.9.5
Homepage: http://www.xfce.org/
Vcs-Svn: svn://anonscm.debian.org/pkg-xfce/desktop/trunk/libxfce4util/
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-xfce/desktop/trunk/libxfce4util/

Package: libxfce4util-dev
Architecture: any
Section: libdevel
Depends: libxfce4util6 (= ${binary:Version}), ${misc:Depends}, libglib2.0-dev
Suggests: devhelp
Breaks: libxfce4util6-dev
Replaces: libxfce4util6-dev
Description: Development files for libxfce4util6
 This package contains the headers for libxfce4util6. If you intend to code
 applications for the Xfce4 desktop environment, you need to install this
 package.
 .
 The libxfce4util6 Reference Manual is also included and
 it can be consulted using Devhelp or a web browser.

Package: libxfce4util6
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, libxfce4util-common
Recommends: libxfce4util-bin
Description: Utility functions library for Xfce4
 This package contains libxfce4util6, the basic utility
 function library for Xfce4. If you intend to run Xfce4,
 you need this library.

Package: libxfce4util6-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${shlibs:Depends}, ${misc:Depends}, libxfce4util6 (= ${binary:Version})
Description: debugging information for libxfce4util6
 This package contains debugging symbols for libxfce4util6, the basic
 utility function library for Xfce4.

Package: libxfce4util-bin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: libxfce4util4 (<< 4.6.1-2)
Replaces: libxfce4util4 (<< 4.6.1-2)
Description: tools for libxfce4util
 This package contains binaries used by Xfce basic utility library.
 At the moment, the following programs are included:
  - xfce4-kiosk-query: query Xfce kiosk capabilities.

Package: libxfce4util-common
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: libxfce4util4 (<< 4.6.1-2)
Replaces: libxfce4util4 (<< 4.6.1-2)
Description: common files for libxfce4util
 This package contains various infrastructure-independant common files for
 libxfce4util, the Xfce utility library.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed -Wl,-O1 -Wl,-z,defs
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

override_dh_install:
	dh_install --fail-missing -X .la

override_dh_strip:
	dh_strip --dbg-package=libxfce4util6-dbg

override_dh_auto_configure:
	NOCONFIGURE=1 xdt-autogen
	dh_auto_configure -- --disable-silent-rules

%:
	dh $@ --parallel --with autoreconf

## libxfce4util 4.11.0

=== debian/changelog ===
libxfce4util (4.11.0-1) experimental; urgency=low

  [ Evgeni Golov ]
  * Correct Vcs-* URLs to point to anonscm.debian.org

  [ Jackson Doak ]
  * New upstream release
  * Bump standards version to 3.9.5
  * debian/rules: Add disable-silent-rules
  * debian/copyright: Don't use symlink licenses
  * Update symbols

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 23 Feb 2014 20:53:00 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Yves-Alexis Perez <corsac@debian.org>, 
  Lionel Le Folgoc <mrpouit@gmail.com>
 Build-Depends: debhelper (>= 9), libglib2.0-dev, intltool, 
- dpkg-dev (>= 1.16.1), dh-autoreconf, gtk-doc-tools, xfce4-dev-tools
+ dpkg-dev (>= 1.16.1)
 Standards-Version: 3.9.5
 Homepage: http://www.xfce.org/
 Vcs-Svn: svn://anonscm.debian.org/pkg-xfce/desktop/trunk/libxfce4util/
@@ -41,7 +41,7 @@
 Architecture: any
 Priority: extra
 Depends: ${shlibs:Depends}, ${misc:Depends}, libxfce4util6 (= ${binary:Version})
-Description: debugging information for libxfce4util6
+Description: debugging informations for libxfce4util6
  This package contains debugging symbols for libxfce4util6, the basic
  utility function library for Xfce4.

=== debian/rules ===
--- 
+++ 
@@ -10,8 +10,7 @@
 	dh_strip --dbg-package=libxfce4util6-dbg
 
 override_dh_auto_configure:
-	NOCONFIGURE=1 xdt-autogen
 	dh_auto_configure -- --disable-silent-rules
 
 %:
-	dh $@ --parallel --with autoreconf
+	dh $@ --parallel

## libxfce4util 4.12.1

=== debian/changelog ===
libxfce4util (4.12.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Yves-Alexis Perez <corsac@debian.org>  Wed, 06 May 2015 15:34:31 +0200

libxfce4util (4.12.1-1) experimental; urgency=medium

  [ Mateusz Łukasik ]
  * New upstream release.
  * Bump standards version to 3.9.6
  * Bump soname 6 to 7.

  [ Yves-Alexis Perez ]
  * debian/libxfce4util7.symbols updated for new soname.
  * debian/control:
    - libxfce4util-dev: drop useless Breaks/Replaces on libxfce4util6-dev
      package since it doesn't exist.

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 08 Mar 2015 15:10:02 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Lionel Le Folgoc <mrpouit@gmail.com>
 Build-Depends: debhelper (>= 9), libglib2.0-dev, intltool, 
  dpkg-dev (>= 1.16.1)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.xfce.org/
 Vcs-Svn: svn://anonscm.debian.org/pkg-xfce/desktop/trunk/libxfce4util/
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-xfce/desktop/trunk/libxfce4util/
@@ -14,35 +14,33 @@
 Package: libxfce4util-dev
 Architecture: any
 Section: libdevel
-Depends: libxfce4util6 (= ${binary:Version}), ${misc:Depends}, libglib2.0-dev
+Depends: libxfce4util7 (= ${binary:Version}), ${misc:Depends}, libglib2.0-dev
 Suggests: devhelp
-Breaks: libxfce4util6-dev
-Replaces: libxfce4util6-dev
-Description: Development files for libxfce4util6
- This package contains the headers for libxfce4util6. If you intend to code
+Description: Development files for libxfce4util7
+ This package contains the headers for libxfce4util7. If you intend to code
  applications for the Xfce4 desktop environment, you need to install this
  package.
  .
- The libxfce4util6 Reference Manual is also included and
+ The libxfce4util7 Reference Manual is also included and
  it can be consulted using Devhelp or a web browser.
 
-Package: libxfce4util6
+Package: libxfce4util7
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}, libxfce4util-common
 Recommends: libxfce4util-bin
 Description: Utility functions library for Xfce4
- This package contains libxfce4util6, the basic utility
+ This package contains libxfce4util7, the basic utility
  function library for Xfce4. If you intend to run Xfce4,
  you need this library.
 
-Package: libxfce4util6-dbg
+Package: libxfce4util7-dbg
 Section: debug
 Architecture: any
 Priority: extra
-Depends: ${shlibs:Depends}, ${misc:Depends}, libxfce4util6 (= ${binary:Version})
-Description: debugging informations for libxfce4util6
- This package contains debugging symbols for libxfce4util6, the basic
+Depends: ${shlibs:Depends}, ${misc:Depends}, libxfce4util7 (= ${binary:Version})
+Description: debugging information for libxfce4util7
+ This package contains debugging symbols for libxfce4util7, the basic
  utility function library for Xfce4.
 
 Package: libxfce4util-bin

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 	dh_install --fail-missing -X .la
 
 override_dh_strip:
-	dh_strip --dbg-package=libxfce4util6-dbg
+	dh_strip --dbg-package=libxfce4util7-dbg
 
 override_dh_auto_configure:
 	dh_auto_configure -- --disable-silent-rules

=== debian/watch ===
version=3
http://archive.xfce.org/src/xfce/libxfce4util/([\d\.]+)/ \
	libxfce4util-([\d\.]+)\.tar\.(?:gz|bz2)

## libxfce4util 4.13.2

=== debian/changelog ===
libxfce4util (4.13.2-1) experimental; urgency=medium

  [ Yves-Alexis Perez ]
  * Moved the package to git on salsa.debian.org
  * Updated the maintainer address to debian-xfce@lists.debian.org
                                                                closes: #899865
  * d/gbp.conf added, following DEP-14

  [ Unit 193 ]
  * New upstream development release.
  * d/compat, d/control: Bump dh compat to 11.
  * d/control, d/copyright, d/watch: Use https where possible.
  * d/control:
    - Build-depend on xfce4-dev-tools and gtk-doc-tools for autoreconf.
    - Drop versioned build-depend on dpkg-dev.
  * d/rules: Drop --parallel and --disable-silent-rules, dh defaults now.
  * Update Standards-Version to 4.1.4.
  * Remove trailing whitespace in debian/ files.

 -- Yves-Alexis Perez <corsac@debian.org>  Mon, 09 Jul 2018 21:36:13 +0200

libxfce4util (4.13.1-1) experimental; urgency=medium

  [ Unit 193 ]
  * New upstream development release.
  * d/rules:
    - Use dh_missing instead of dh_install --fail-missing.

  [ Yves-Alexis Perez ]
  * debian/control:
    - update standards version to 4.1.1.
    - put libxfce4util7 to section libs.
  * Run wrap-and-sort.

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 21 Oct 2017 15:01:54 +0200

libxfce4util (4.13.0-1) experimental; urgency=medium

  [ Yves-Alexis Perez ]
  * New upstream development release.
  * debian/control:
    - update standards version to 4.0.0
    - run wrap-and-sort.
  * debian/patches:
    - 02_fix-abicheck removed, included upstream.
  * debian/libxfce4util7.symbols updated for new release.

  [ Unit 193 ]
  * d/control, d/rules: Migrate to dbgsym packages.

 -- Yves-Alexis Perez <corsac@debian.org>  Fri, 23 Jun 2017 13:43:45 +0200

libxfce4util (4.12.1-3) unstable; urgency=medium

  [ Helmut Grohne ]
  * Add Multi-Arch stanzas                                      closes: #842563
    + libxfce4util-common: foreign
    + libxfce4util7, libxfce4util7-dbg, libxfce4util-dev: same

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 12 Nov 2016 14:49:22 +0100

=== debian/control ===
Source: libxfce4util
Priority: optional
Section: xfce
Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
Uploaders: Yves-Alexis Perez <corsac@debian.org>,
           Lionel Le Folgoc <mrpouit@gmail.com>
Build-Depends: debhelper (>= 11),
               gtk-doc-tools,
               intltool,
               libglib2.0-dev,
               xfce4-dev-tools
Standards-Version: 4.1.4
Homepage: https://www.xfce.org/
Vcs-Git: https://salsa.debian.org/xfce-team/desktop/libxfce4util.git
Vcs-Browser: https://salsa.debian.org/xfce-team/desktop/libxfce4util

Package: libxfce4util-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libglib2.0-dev, libxfce4util7 (= ${binary:Version}), ${misc:Depends}
Suggests: devhelp
Description: Development files for libxfce4util7
 This package contains the headers for libxfce4util7. If you intend to code
 applications for the Xfce4 desktop environment, you need to install this
 package.
 .
 The libxfce4util7 Reference Manual is also included and
 it can be consulted using Devhelp or a web browser.

Package: libxfce4util7
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libxfce4util-common, ${misc:Depends}, ${shlibs:Depends}
Recommends: libxfce4util-bin
Description: Utility functions library for Xfce4
 This package contains libxfce4util7, the basic utility
 function library for Xfce4. If you intend to run Xfce4,
 you need this library.

Package: libxfce4util-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libxfce4util4 (<< 4.6.1-2)
Replaces: libxfce4util4 (<< 4.6.1-2)
Description: tools for libxfce4util
 This package contains binaries used by Xfce basic utility library.
 At the moment, the following programs are included:
  - xfce4-kiosk-query: query Xfce kiosk capabilities.

Package: libxfce4util-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libxfce4util4 (<< 4.6.1-2)
Replaces: libxfce4util4 (<< 4.6.1-2)
Description: common files for libxfce4util
 This package contains various infrastructure-independant common files for
 libxfce4util, the Xfce utility library.

## libxfce4util 4.13.3

=== debian/changelog ===
libxfce4util (4.13.3-0mx19+1) mx; urgency=medium

  * Rebuild for MX-19

 -- Timothy E. Harris <maintainer@mxrepo.com>  Fri, 31 May 2019 12:41:43 -0400

libxfce4util (4.13.3-0ubuntu1~19.04) disco; urgency=medium

  * No-change backport to disco

 -- Unit 193 <unit193@ubuntu.com>  Sun, 19 May 2019 19:54:55 -0400

libxfce4util (4.13.3-0ubuntu1) devel; urgency=medium

  * New upstream release.
  * Update symbols.

 -- Unit 193 <unit193@ubuntu.com>  Sat, 18 May 2019 19:16:14 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: libxfce4util
 Priority: optional
 Section: xfce
-Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
+Maintainer: Xubuntu Developers <xubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>,
            Lionel Le Folgoc <mrpouit@gmail.com>
 Build-Depends: debhelper (>= 11),

## libxfce4util 4.13.4

=== debian/changelog ===
libxfce4util (4.13.4-1) experimental; urgency=medium

  [ Unit 193 ]
  * d/p/*, d/rules: Add all patches, but guard based on dpkg-vendor.

  [ Mateusz Łukasik ]
  * New upstream version 4.13.4

  [ Yves-Alexis Perez ]
  * d/control: update standards version to 4.4.0

 -- Yves-Alexis Perez <corsac@debian.org>  Mon, 15 Jul 2019 16:51:16 +0200

libxfce4util (4.13.3-1) experimental; urgency=medium

  * New upstream version 4.13.3
  * d/control: update standards version to 4.3.0
  * d/control: drop Lionel from uploaders, thanks!
  * use debhelper-compat b-d for dh compatibility level
  * d/libxfce4util7.symbols updated for new release
  * Ubuntu-specific patch series dropped

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 09 Jun 2019 12:04:46 +0200

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed -Wl,-O1 -Wl,-z,defs
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes),yes)
	export DEB_CPPFLAGS_MAINT_APPEND=-DUBUNTU
else
	export DEB_CPPFLAGS_MAINT_APPEND=-DDEBIAN
endif

override_dh_install:
	dh_install -X .la

override_dh_missing:
	dh_missing --fail-missing -X .la

override_dh_strip:
	dh_strip --dbgsym-migration='libxfce4util7-dbg (<< 4.13.0-1~)'

%:
	dh $@

## libxfce4util 4.13.5

=== debian/changelog ===
libxfce4util (4.13.5-0mx19+1) mx; urgency=medium

  * 4.14-pre3

 -- Timothy E. Harris <maintainer@mxrepo.com>  Tue, 30 Jul 2019 13:02:15 -0400

libxfce4util (4.13.4-0mx19+1) mx; urgency=medium

  * 4.14-pre2

 -- Timothy E. Harris <maintainer@mxrepo.com>  Mon, 01 Jul 2019 15:11:11 -0400

## libxfce4util 4.14.0

=== debian/changelog ===
libxfce4util (4.14.0-1~18.04) bionic; urgency=medium

  * No-change backport to bionic

 -- Unit 193 <unit193@ubuntu.com>  Tue, 27 Aug 2019 18:50:44 -0400

libxfce4util (4.14.0-1) unstable; urgency=medium

  [ Unit 193 ]
  * New upstream version 4.14.0
  * d/rules: Pass '--enable-gtk-doc' during configure to fix consecutive builds.

 -- Yves-Alexis Perez <corsac@debian.org>  Wed, 14 Aug 2019 13:17:53 +0200

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,9 @@
 else
 	export DEB_CPPFLAGS_MAINT_APPEND=-DDEBIAN
 endif
+
+override_dh_auto_configure:
+	dh_auto_configure -- --enable-gtk-doc
 
 override_dh_install:
 	dh_install -X .la

=== debian/watch ===
version=3
https://archive.xfce.org/src/xfce/libxfce4util/([\d\.]+)/ \
	libxfce4util-([\d\.]+)\.tar\.(?:gz|bz2)

## libxfce4util 4.16.0

=== debian/changelog ===
libxfce4util (4.16.0-1~20.04) focal; urgency=medium

  * No-change backport to focal

 -- Unit 193 <unit193@ubuntu.com>  Wed, 23 Dec 2020 16:06:07 -0500

libxfce4util (4.16.0-1) unstable; urgency=medium

  * New upstream version 4.16.0
  * Upload to unstable

 -- Yves-Alexis Perez <corsac@debian.org>  Wed, 23 Dec 2020 09:40:46 +0100

libxfce4util (4.15.6-1) experimental; urgency=medium

  * Team upload.
  * New upstream version 4.15.6.
  * d/control: Update 'homepage' field.
  * d/watch: Bump version to 4.
  * Update Standards-Version to 4.5.1.

 -- Unit 193 <unit193@debian.org>  Wed, 16 Dec 2020 18:16:22 -0500

libxfce4util (4.15.4-1) experimental; urgency=medium

  * Team upload.
  * New upstream version 4.15.4.

 -- Unit 193 <unit193@debian.org>  Thu, 05 Nov 2020 23:03:21 -0500

libxfce4util (4.15.3-1) experimental; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Fix day-of-week for changelog entry 4.0.0.final-1.
  * Update standards version to 4.4.1, no changes needed.
  * Bump debhelper from old 11 to 12.

  [ Mateusz Łukasik ]
  * New upstream version 4.15.0
  * d/control: update standards version to 4.5.0

  [ Unit 193 ]
  * d/watch: Use uscan special strings.
  * New upstream version 4.15.3.
  * d/control: R³: no.
  * d/control, d/libxfce4util-dev.install, d/rules:
    - Enable and install introspection support.
  * d/libxfce4util7.symbols: Update symbols and set Build-Depends-Package.

 -- Unit 193 <unit193@debian.org>  Fri, 28 Aug 2020 05:06:03 -0400

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 endif
 
 override_dh_auto_configure:
-	dh_auto_configure -- --enable-gtk-doc
+	dh_auto_configure -- --enable-gtk-doc --enable-introspection=yes
 
 override_dh_install:
 	dh_install -X .la
@@ -22,4 +22,4 @@
 	dh_strip --dbgsym-migration='libxfce4util7-dbg (<< 4.13.0-1~)'
 
 %:
-	dh $@
+	dh $@ --with gir

## libxfce4util 4.17.2

=== debian/changelog ===
libxfce4util (4.17.2-1) experimental; urgency=medium

  * Team upload.
  * New upstream version 4.17.2.
  * d/libxfce4util7.symbols: Update symbols.

 -- Unit 193 <unit193@debian.org>  Fri, 22 Apr 2022 03:29:14 -0400

libxfce4util (4.17.1-1) experimental; urgency=medium

  * Team upload.
  * New upstream version 4.17.1.
    - Refresh patches.
  * d/control: Bump DH compat to 13.
  * d/libxfce4util7.symbols: Update symbols.
  * d/rules:
    - Drop dbgsym migration as it's now complete.
    - Drop '--as-needed', as this is now default in stable.
  * Update Standards-Version to 4.6.0.

 -- Unit 193 <unit193@debian.org>  Sat, 18 Dec 2021 18:08:18 -0500

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: libxfce4util
 Priority: optional
 Section: xfce
-Maintainer: Xubuntu Developers <xubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
-Uploaders: Yves-Alexis Perez <corsac@debian.org>,
-           Lionel Le Folgoc <mrpouit@gmail.com>
-Build-Depends: debhelper (>= 11),
+Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
+Uploaders: Yves-Alexis Perez <corsac@debian.org>
+Build-Depends: debhelper-compat (= 13),
+               gobject-introspection,
                gtk-doc-tools,
                intltool,
+               libgirepository1.0-dev,
                libglib2.0-dev,
                xfce4-dev-tools
-Standards-Version: 4.1.4
-Homepage: https://www.xfce.org/
+Rules-Requires-Root: no
+Standards-Version: 4.6.0
+Homepage: https://docs.xfce.org/xfce/libxfce4util/start
 Vcs-Git: https://salsa.debian.org/xfce-team/desktop/libxfce4util.git
 Vcs-Browser: https://salsa.debian.org/xfce-team/desktop/libxfce4util
 
@@ -19,7 +20,10 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libglib2.0-dev, libxfce4util7 (= ${binary:Version}), ${misc:Depends}
+Depends: gir1.2-libxfce4util-1.0 (= ${binary:Version}),
+         libglib2.0-dev,
+         libxfce4util7 (= ${binary:Version}),
+         ${misc:Depends}
 Suggests: devhelp
 Description: Development files for libxfce4util7
  This package contains the headers for libxfce4util7. If you intend to code
@@ -41,6 +45,18 @@
  function library for Xfce4. If you intend to run Xfce4,
  you need this library.
 
+Package: gir1.2-libxfce4util-1.0
+Section: introspection
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${gir:Depends}, ${misc:Depends}
+Description: Typelib file for libxfce4util
+ libxfce4util is the basic utility function library for
+ Xfce4.
+ .
+ This package provides the introspection data for libxfce4util.
+
 Package: libxfce4util-bin
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed -Wl,-O1 -Wl,-z,defs
+export DEB_LDFLAGS_MAINT_APPEND=-Wl,-O1 -Wl,-z,defs
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes),yes)
@@ -18,8 +18,5 @@
 override_dh_missing:
 	dh_missing --fail-missing -X .la
 
-override_dh_strip:
-	dh_strip --dbgsym-migration='libxfce4util7-dbg (<< 4.13.0-1~)'
-
 %:
 	dh $@ --with gir

## libxfce4util 4.18.0

=== debian/changelog ===
libxfce4util (4.18.0-1~mx21) mx; urgency=medium

  * New upstream release

 -- Timothy E. Harris <maintainer@mxrepo.com>  Thu, 15 Dec 2022 09:48:53 -0500

libxfce4util (4.17.3-1) experimental; urgency=medium

  * Team upload.
  * New upstream version 4.17.3.
  * d/rules:
    - Drop dh_(install|missing) overrides in favor of deleting .la files.
  * Update Standards-Version to 4.6.1.

 -- Unit 193 <unit193@debian.org>  Tue, 01 Nov 2022 04:36:14 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: libxfce4util
 Priority: optional
 Section: xfce
-Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
+Maintainer: Timothy E. Harris <maintainer@mxrepo.com>
+XSBC-Original-Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>
 Build-Depends: debhelper-compat (= 13),
                gobject-introspection,
@@ -11,7 +12,7 @@
                libglib2.0-dev,
                xfce4-dev-tools
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://docs.xfce.org/xfce/libxfce4util/start
 Vcs-Git: https://salsa.debian.org/xfce-team/desktop/libxfce4util.git
 Vcs-Browser: https://salsa.debian.org/xfce-team/desktop/libxfce4util

=== debian/rules ===
--- 
+++ 
@@ -12,11 +12,8 @@
 override_dh_auto_configure:
 	dh_auto_configure -- --enable-gtk-doc --enable-introspection=yes
 
-override_dh_install:
-	dh_install -X .la
-
-override_dh_missing:
-	dh_missing --fail-missing -X .la
+execute_after_dh_auto_install:
+	find debian/tmp -name '*.la' -delete
 
 %:
 	dh $@ --with gir

## libxfce4util 4.18.1

=== debian/changelog ===
libxfce4util (4.18.1-2build3) noble; urgency=medium

  * No-change rebuild to restore i386 binaries.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 17 Apr 2024 13:26:11 +0200

libxfce4util (4.18.1-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 02:21:23 +0000

libxfce4util (4.18.1-2build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 05:32:10 +0000

libxfce4util (4.18.1-2) unstable; urgency=medium

  * Team upload.
  * d/rules: Explicitly disable vala. (Closes: #1031967)

 -- Unit 193 <unit193@debian.org>  Mon, 27 Feb 2023 00:49:48 -0500

libxfce4util (4.18.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 4.18.1.
  * Update Standards-Version to 4.6.2.

 -- Unit 193 <unit193@debian.org>  Thu, 12 Jan 2023 02:29:02 -0500

libxfce4util (4.18.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 4.18.0.
  * d/*.docs,d/rules: Opt-out of trimmed changelogs, install NEWS as changelog.

 -- Unit 193 <unit193@debian.org>  Thu, 15 Dec 2022 05:04:15 -0500

libxfce4util (4.17.4-1) experimental; urgency=medium

  * Team upload.

  [ Akbarkhon Variskhanov ]
  * debian/control: Fix minor typo and formatting

  [ Unit 193 ]
  * New upstream version 4.17.4.

 -- Unit 193 <unit193@debian.org>  Mon, 05 Dec 2022 01:49:55 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: libxfce4util
 Priority: optional
 Section: xfce
-Maintainer: Timothy E. Harris <maintainer@mxrepo.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>
 Build-Depends: debhelper-compat (= 13),
@@ -12,7 +12,7 @@
                libglib2.0-dev,
                xfce4-dev-tools
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://docs.xfce.org/xfce/libxfce4util/start
 Vcs-Git: https://salsa.debian.org/xfce-team/desktop/libxfce4util.git
 Vcs-Browser: https://salsa.debian.org/xfce-team/desktop/libxfce4util
@@ -53,8 +53,7 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${gir:Depends}, ${misc:Depends}
 Description: Typelib file for libxfce4util
- libxfce4util is the basic utility function library for
- Xfce4.
+ libxfce4util is the basic utility function library for Xfce4.
  .
  This package provides the introspection data for libxfce4util.
 
@@ -75,5 +74,5 @@
 Breaks: libxfce4util4 (<< 4.6.1-2)
 Replaces: libxfce4util4 (<< 4.6.1-2)
 Description: common files for libxfce4util
- This package contains various infrastructure-independant common files for
+ This package contains various infrastructure-independent common files for
  libxfce4util, the Xfce utility library.

=== debian/rules ===
--- 
+++ 
@@ -10,10 +10,13 @@
 endif
 
 override_dh_auto_configure:
-	dh_auto_configure -- --enable-gtk-doc --enable-introspection=yes
+	dh_auto_configure -- --enable-gtk-doc --enable-introspection=yes --enable-vala=no
 
 execute_after_dh_auto_install:
 	find debian/tmp -name '*.la' -delete
 
+override_dh_installchangelogs:
+	DEB_BUILD_OPTIONS=notrimdch dh_installchangelogs NEWS
+
 %:
 	dh $@ --with gir
